#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE scalix.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/tderesources/tdeabc
  PO_DIR tderesources-desktops
)

install(
  FILES ../uninstall.desktop
  RENAME imap.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/tderesources/tdeabc )


##### tdeabc_scalix (module) ######################

tde_add_kpart( tdeabc_scalix AUTOMOC
  SOURCES resourcescalix_plugin.cpp
  LINK tdeabcscalix-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### tdeabcscalix (shared) #######################

tde_add_library( tdeabcscalix SHARED AUTOMOC
  SOURCES resourcescalix.cpp contact.cpp
  VERSION 0.0.0
  LINK resourcescalixshared-static kgroupwarebase-shared
  DESTINATION ${LIB_INSTALL_DIR}
)
